Subject: Re: [PATCH v2 2/5] ARM: mstar: Add machine for MStar/Sigmastar infinity/mercury family ARMv7 SoCs

From: Andreas Färber <[email-masked]>
Date: Thu, 11 Jun 2020 16:27:28 +0200

Hi Daniel,

Am 11.06.20 um 15:01 schrieb Daniel Palmer:
> On Thu, 11 Jun 2020 at 21:49, Andreas Färber <[email-masked]> wrote:
>>> peripherals and system memory in a single tiny QFN package that
>>> can be hand soldered allowing almost anyone to embed Linux
>>
>> "soldered, allowing"?
> 
> The original reads ok to me. Maybe I can just split that into two sentences?
> Like ".. QFN package that can be hand soldered. This allows almost anyone..".

As non-native speaker I merely wondered whether a comma should better be 
inserted to separate the two parts of the sentence. Splitting it in two 
or leaving as is should be fine, too - I assume you're a native speaker. 
Most people will rather read the bindings document than old git history, 
so you might want to consider adding such a description below its title.

>>> --- a/MAINTAINERS
>>> +++ b/MAINTAINERS
>>> @@ -2114,6 +2114,7 @@ ARM/MStar/Sigmastar ARMv7 SoC support
>>>    M:  Daniel Palmer <[email-masked]>
>>>    L:  [email-masked] (moderated for non-subscribers)
>>>    S:  Maintained
>>> +F:   arch/arm/mach-mstar/
>>>    F:  Documentation/devicetree/bindings/arm/mstar.yaml
>>>
>>>    ARM/NEC MOBILEPRO 900/c MACHINE SUPPORT
>> [snip]
>>
>> The sort order has recently been changed to case-sensitive, i.e., you
>> should append arch after Documentation.
> 
> Interesting. Checkpatch didn't complain about that although it
> complained about the
> original ordering I had.

I only noticed because someone refactored my Realtek section, causing a 
merge conflict.

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=3b50142d8528e1efc1c07f69c540f926c58ab3ad

Which reminds me, in 1/5 you should probably add a W: line (after S: 
according to above sort commit) pointing to your 
http://linux-chenxing.org/ website.

And for the community following your project, you may want to set up a 
linux-chenxing mailing list on vger.kernel.org or on infradead.org and 
add it as L:, to allow for error reports and patches to not just go to 
you and crowded LAKML.

Cheers,
Andreas

-- 
SUSE Software Solutions Germany GmbH
Maxfeldstr. 5, 90409 Nürnberg, Germany
GF: Felix Imendörffer
HRB 36809 (AG Nürnberg)

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel